Package com.independentsoft.office.spreadsheet.styles

# Class CellBorder

java.lang.Object
com.independentsoft.office.spreadsheet.styles.CellBorder

public class CellBorder extends Object
The Class CellBorder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellBorder()`
  Instantiates a new cell border.
  `CellBorder​(InternalXMLStreamReader reader)`
  Instantiates a new cell border.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellBorder`
  `clone()`
  `Border`
  `getBottom()`
  Gets the bottom.
  `Border`
  `getDiagonal()`
  Gets the diagonal.
  `Border`
  `getHorizontal()`
  Gets the horizontal.
  `Border`
  `getLeft()`
  Gets the left.
  `Border`
  `getRight()`
  Gets the right.
  `Border`
  `getTop()`
  Gets the top.
  `Border`
  `getVertical()`
  Gets the vertical.
  `boolean`
  `hasDiagonalDown()`
  Checks for diagonal down.
  `boolean`
  `hasDiagonalUp()`
  Checks for diagonal up.
  `boolean`
  `hasOutline()`
  Checks for outline.
  `void`
  `setBottom​(Border bottom)`
  Sets the bottom.
  `void`
  `setDiagonal​(Border diagonal)`
  Sets the diagonal.
  `void`
  `setDiagonalDown​(boolean hasDiagonalDown)`
  Sets the diagonal down.
  `void`
  `setDiagonalUp​(boolean hasDiagonalUp)`
  Sets the diagonal up.
  `void`
  `setHorizontal​(Border horizontal)`
  Sets the horizontal.
  `void`
  `setLeft​(Border left)`
  Sets the left.
  `void`
  `setOutline​(boolean hasOutline)`
  Sets the outline.
  `void`
  `setRight​(Border right)`
  Sets the right.
  `void`
  `setTop​(Border top)`
  Sets the top.
  `void`
  `setVertical​(Border vertical)`
  Sets the vertical.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellBorder

    public CellBorder()
    Instantiates a new cell border.

  - ### CellBorder

    public CellBorder​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new cell border.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public CellBorder clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBottom

    public Border getBottom()
    Gets the bottom.
    Returns:
      the bottom

  - ### setBottom

    public void setBottom​(Border bottom)
    Sets the bottom.
    Parameters:
      `bottom` - the new bottom

  - ### getDiagonal

    public Border getDiagonal()
    Gets the diagonal.
    Returns:
      the diagonal

  - ### setDiagonal

    public void setDiagonal​(Border diagonal)
    Sets the diagonal.
    Parameters:
      `diagonal` - the new diagonal

  - ### getHorizontal

    public Border getHorizontal()
    Gets the horizontal.
    Returns:
      the horizontal

  - ### setHorizontal

    public void setHorizontal​(Border horizontal)
    Sets the horizontal.
    Parameters:
      `horizontal` - the new horizontal

  - ### getLeft

    public Border getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(Border left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getRight

    public Border getRight()
    Gets the right.
    Returns:
      the right

  - ### setRight

    public void setRight​(Border right)
    Sets the right.
    Parameters:
      `right` - the new right

  - ### getTop

    public Border getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(Border top)
    Sets the top.
    Parameters:
      `top` - the new top

  - ### getVertical

    public Border getVertical()
    Gets the vertical.
    Returns:
      the vertical

  - ### setVertical

    public void setVertical​(Border vertical)
    Sets the vertical.
    Parameters:
      `vertical` - the new vertical

  - ### hasDiagonalDown

    public boolean hasDiagonalDown()
    Checks for diagonal down.
    Returns:
      true, if successful

  - ### setDiagonalDown

    public void setDiagonalDown​(boolean hasDiagonalDown)
    Sets the diagonal down.
    Parameters:
      `hasDiagonalDown` - the new diagonal down

  - ### hasDiagonalUp

    public boolean hasDiagonalUp()
    Checks for diagonal up.
    Returns:
      true, if successful

  - ### setDiagonalUp

    public void setDiagonalUp​(boolean hasDiagonalUp)
    Sets the diagonal up.
    Parameters:
      `hasDiagonalUp` - the new diagonal up

  - ### hasOutline

    public boolean hasOutline()
    Checks for outline.
    Returns:
      true, if successful

  - ### setOutline

    public void setOutline​(boolean hasOutline)
    Sets the outline.
    Parameters:
      `hasOutline` - the new outline